﻿Imports System.ServiceModel
Imports System.Windows.Input
Imports HilfeTools
Imports System.Threading
Imports System.Net
Imports System.Windows
Imports System.Diagnostics
Imports System.ComponentModel
Imports ClientByConfig.VertragService

Public Class MainViewmodel : Inherits NotifyPropertyChanged

   Private _GrapeFruitClient As GrapefruitClient

   Private _stringContent As String = ""
   Public Property StringContent() As String
      Get
         Return _stringContent
      End Get
      Set(value As String)
         ChangePropIfDifferent(value, _stringContent, "StringContent")
      End Set
   End Property

   Private _Connected As Boolean
   Public Property Connected() As Boolean
      Get
         Return _Connected
      End Get
      Set(ByVal value As Boolean)
         If Not ChangePropIfDifferent(value, _Connected, "Connected") Then Return
         If _Connected Then
            _GrapeFruitClient = New GrapefruitClient
            _GrapeFruitClient.Open()
         Else
            _GrapeFruitClient.Close()
         End If
      End Set
   End Property

   Private ReadOnly _GetDataCommand As ICommand = New DelegateCommand(AddressOf GetData)
   Public ReadOnly Property GetDataCommand() As ICommand
      Get
         Return _GetDataCommand
      End Get
   End Property

   Private Async Sub GetData()
      StringContent = "Sende Anfrage..."
      Dim data = Await _GrapeFruitClient.DoItAsync()
      StringContent = data.Content
   End Sub

End Class